Index: src/mlx/const.py
===================================================================
--- src/mlx/const.py	(revision 1031)
+++ src/mlx/const.py	(revision 1032)
@@ -108,4 +108,7 @@
 ## Aircraft type: British Aerospace BAe-146
 AIRCRAFT_B462 = 17
+
+## Aircraft type: Ilyushin IL-62
+AIRCRAFT_IL62 = 18
 
 #-------------------------------------------------------------------------------
@@ -122,5 +125,5 @@
                  AIRCRAFT_T154, AIRCRAFT_T134,
                  AIRCRAFT_YK40, AIRCRAFT_DC3,
-                 AIRCRAFT_B462]
+                 AIRCRAFT_B462, AIRCRAFT_IL62]
 
 #-------------------------------------------------------------------------------
Index: src/mlx/rpc.py
===================================================================
--- src/mlx/rpc.py	(revision 955)
+++ src/mlx/rpc.py	(revision 1032)
@@ -193,42 +193,44 @@
     """A booked flight."""
     # FIXME: copied from web.BookedFlight
-    TYPECODE2TYPE = { "736"  : const.AIRCRAFT_B736,
-                      "73G"  : const.AIRCRAFT_B737,
-                      "738"  : const.AIRCRAFT_B738,
-                      "73H"  : const.AIRCRAFT_B738C,
-                      "732"  : const.AIRCRAFT_B732,
-                      "733"  : const.AIRCRAFT_B733,
-                      "734"  : const.AIRCRAFT_B734,
-                      "735"  : const.AIRCRAFT_B735,
-                      "DH4"  : const.AIRCRAFT_DH8D,
-                      "762"  : const.AIRCRAFT_B762,
-                      "763"  : const.AIRCRAFT_B763,
-                      "CR2"  : const.AIRCRAFT_CRJ2,
+    TYPECODE2TYPE = { "B736"  : const.AIRCRAFT_B736,
+                      "B737"  : const.AIRCRAFT_B737,
+                      "B738"  : const.AIRCRAFT_B738,
+                      "B73H"  : const.AIRCRAFT_B738C,
+                      "B732"  : const.AIRCRAFT_B732,
+                      "B733"  : const.AIRCRAFT_B733,
+                      "B734"  : const.AIRCRAFT_B734,
+                      "B735"  : const.AIRCRAFT_B735,
+                      "DH8D"  : const.AIRCRAFT_DH8D,
+                      "B762"  : const.AIRCRAFT_B762,
+                      "B763"  : const.AIRCRAFT_B763,
+                      "CRJ2"  : const.AIRCRAFT_CRJ2,
                       "F70"  : const.AIRCRAFT_F70,
                       "LI2"  : const.AIRCRAFT_DC3,
-                      "TU3"  : const.AIRCRAFT_T134,
-                      "TU5"  : const.AIRCRAFT_T154,
-                      "YK4"  : const.AIRCRAFT_YK40,
-                      "146"  : const.AIRCRAFT_B462 }
-
-    # FIXME: copied from web.BookedFlight
-    TYPE2TYPECODE = { const.AIRCRAFT_B736  : "736",
-                      const.AIRCRAFT_B737  : "73G",
-                      const.AIRCRAFT_B738  : "738",
-                      const.AIRCRAFT_B738C : "73H",
-                      const.AIRCRAFT_B732  : "732",
-                      const.AIRCRAFT_B733  : "733",
-                      const.AIRCRAFT_B734  : "734",
-                      const.AIRCRAFT_B735  : "735",
-                      const.AIRCRAFT_DH8D  : "DH4",
-                      const.AIRCRAFT_B762  : "762",
-                      const.AIRCRAFT_B763  : "763",
-                      const.AIRCRAFT_CRJ2  : "CR2",
+                      "T134"  : const.AIRCRAFT_T134,
+                      "T154"  : const.AIRCRAFT_T154,
+                      "YK40"  : const.AIRCRAFT_YK40,
+                      "B462"  : const.AIRCRAFT_B462,
+                      "IL62"  : const.AIRCRAFT_IL62 }
+
+    # FIXME: copied from web.BookedFlight
+    TYPE2TYPECODE = { const.AIRCRAFT_B736  : "B736",
+                      const.AIRCRAFT_B737  : "B737",
+                      const.AIRCRAFT_B738  : "B738",
+                      const.AIRCRAFT_B738C : "B73H",
+                      const.AIRCRAFT_B732  : "B732",
+                      const.AIRCRAFT_B733  : "B733",
+                      const.AIRCRAFT_B734  : "B734",
+                      const.AIRCRAFT_B735  : "B735",
+                      const.AIRCRAFT_DH8D  : "DH8D",
+                      const.AIRCRAFT_B762  : "B762",
+                      const.AIRCRAFT_B763  : "B763",
+                      const.AIRCRAFT_CRJ2  : "CRJ2",
                       const.AIRCRAFT_F70   : "F70",
                       const.AIRCRAFT_DC3   : "LI2",
-                      const.AIRCRAFT_T134  : "TU3",
-                      const.AIRCRAFT_T154  : "TU5",
-                      const.AIRCRAFT_YK40  : "YK4",
-                      const.AIRCRAFT_B462  : "146" }
+                      const.AIRCRAFT_T134  : "T134",
+                      const.AIRCRAFT_T154  : "T155",
+                      const.AIRCRAFT_YK40  : "YK40",
+                      const.AIRCRAFT_B462  : "B462",
+                      const.AIRCRAFT_IL62  : "IL62" }
 
     # FIXME: copied from web.BookedFlight
Index: src/mlx/web.py
===================================================================
--- src/mlx/web.py	(revision 963)
+++ src/mlx/web.py	(revision 1032)
@@ -58,41 +58,43 @@
 class BookedFlight(object):
     """A flight that was booked."""
-    TYPECODE2TYPE = { "736"  : const.AIRCRAFT_B736,
-                      "73G"  : const.AIRCRAFT_B737,
-                      "738"  : const.AIRCRAFT_B738,
-                      "73H"  : const.AIRCRAFT_B738C,
-                      "732"  : const.AIRCRAFT_B732,
-                      "733"  : const.AIRCRAFT_B733,
-                      "734"  : const.AIRCRAFT_B734,
-                      "735"  : const.AIRCRAFT_B735,
-                      "DH4"  : const.AIRCRAFT_DH8D,
-                      "762"  : const.AIRCRAFT_B762,
-                      "763"  : const.AIRCRAFT_B763,
-                      "CR2"  : const.AIRCRAFT_CRJ2,
+    TYPECODE2TYPE = { "B736"  : const.AIRCRAFT_B736,
+                      "B737"  : const.AIRCRAFT_B737,
+                      "B738"  : const.AIRCRAFT_B738,
+                      "B73H"  : const.AIRCRAFT_B738C,
+                      "B732"  : const.AIRCRAFT_B732,
+                      "B733"  : const.AIRCRAFT_B733,
+                      "B734"  : const.AIRCRAFT_B734,
+                      "B735"  : const.AIRCRAFT_B735,
+                      "DH8D"  : const.AIRCRAFT_DH8D,
+                      "B762"  : const.AIRCRAFT_B762,
+                      "B763"  : const.AIRCRAFT_B763,
+                      "CRJ2"  : const.AIRCRAFT_CRJ2,
                       "F70"  : const.AIRCRAFT_F70,
                       "LI2"  : const.AIRCRAFT_DC3,
-                      "TU3"  : const.AIRCRAFT_T134,
-                      "TU5"  : const.AIRCRAFT_T154,
-                      "YK4"  : const.AIRCRAFT_YK40,
-                      "146"  : const.AIRCRAFT_B462 }
-
-    TYPE2TYPECODE = { const.AIRCRAFT_B736  : "736",
-                      const.AIRCRAFT_B737  : "73G",
-                      const.AIRCRAFT_B738  : "738",
-                      const.AIRCRAFT_B738C : "73H",
-                      const.AIRCRAFT_B732  : "732",
-                      const.AIRCRAFT_B733  : "733",
-                      const.AIRCRAFT_B734  : "734",
-                      const.AIRCRAFT_B735  : "735",
-                      const.AIRCRAFT_DH8D  : "DH4",
-                      const.AIRCRAFT_B762  : "762",
-                      const.AIRCRAFT_B763  : "763",
-                      const.AIRCRAFT_CRJ2  : "CR2",
+                      "T134"  : const.AIRCRAFT_T134,
+                      "T154"  : const.AIRCRAFT_T154,
+                      "YK40"  : const.AIRCRAFT_YK40,
+                      "B462"  : const.AIRCRAFT_B462,
+                      "IL62"  : const.AIRCRAFT_IL62 }
+
+    TYPE2TYPECODE = { const.AIRCRAFT_B736  : "B736",
+                      const.AIRCRAFT_B737  : "B737",
+                      const.AIRCRAFT_B738  : "B738",
+                      const.AIRCRAFT_B738C : "B73H",
+                      const.AIRCRAFT_B732  : "B732",
+                      const.AIRCRAFT_B733  : "B733",
+                      const.AIRCRAFT_B734  : "B734",
+                      const.AIRCRAFT_B735  : "B735",
+                      const.AIRCRAFT_DH8D  : "DH8D",
+                      const.AIRCRAFT_B762  : "B762",
+                      const.AIRCRAFT_B763  : "B763",
+                      const.AIRCRAFT_CRJ2  : "CRJ2",
                       const.AIRCRAFT_F70   : "F70",
                       const.AIRCRAFT_DC3   : "LI2",
-                      const.AIRCRAFT_T134  : "TU3",
-                      const.AIRCRAFT_T154  : "TU5",
-                      const.AIRCRAFT_YK40  : "YK4",
-                      const.AIRCRAFT_B462  : "146" }
+                      const.AIRCRAFT_T134  : "T134",
+                      const.AIRCRAFT_T154  : "T155",
+                      const.AIRCRAFT_YK40  : "YK40",
+                      const.AIRCRAFT_B462  : "B462",
+                      const.AIRCRAFT_IL62  : "IL62" }
 
     checkFlightTypes = [ const.AIRCRAFT_B736, const.AIRCRAFT_B737,
